# Interface NumberArray

public interface NumberArray
Abstracts a readable array of numeric values. Can be used to front various different objects with the same behaviour.

Since:
  17 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
Returns array length.
`double`
`getValue(int index)`
Returns a value for a given index.

## Method Details

### getLength

int getLength()
Returns array length.

Returns:
  number of elements

### getValue

double getValue(int index)
Returns a value for a given index.

Parameters:
  `index` - array index
Returns:
  data value at index